gr::satellites::ax100_decode_impl Class Reference

`#include <ax100_decode_impl.h>`

Inheritance diagram for gr::satellites::ax100_decode_impl:
[legend]

## Public Member Functions

| ax100_decode_impl (bool verbose)
| ~ax100_decode_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::ax100_decode
typedef boost::shared_ptr< ax100_decode > | sptr
Static Public Member Functions inherited from gr::satellites::ax100_decode
static sptr | make (bool verbose)
| Return a shared_ptr to a new instance of satellites::ax100_decode. More...

## Constructor & Destructor Documentation

## ax100_decode_impl()

gr::satellites::ax100_decode_impl::ax100_decode_impl | ( | bool | verbose | ) |

## ~ax100_decode_impl()

gr::satellites::ax100_decode_impl::~ax100_decode_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::ax100_decode_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::satellites::ax100_decode_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## msg_handler()

void gr::satellites::ax100_decode_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- ax100_decode_impl.h